﻿@model FQ.MD.WEB.ViewModels.RoleMenuViewModel
@using FQ.MD.WEB.Resources

@{
    ViewBag.Title = Res.Show;
}

<nav aria-label="breadcrumb">
    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="/"><i class="fas fa-home"></i> Dashboard</a></li>
        <li class="breadcrumb-item"><a href="@Url.Action("Index", "Roles")">@Res.Roles</a></li>
        <li class="breadcrumb-item"><a href="@Url.Action("Index", new { RoleId = Model.RoleId })">@Res.Menus</a></li>
        <li class="breadcrumb-item active" aria-current="page">@ViewBag.Title</li>
    </ol>
</nav>


<div class="card">
    <div class="card-header">
        <div class="row">
            <label class="col-md-2 font-weight-bold">@Res.Role</label>
            <label class="col-md-6">: @ViewBag.Role</label>
        </div>
        <div class="row">
            <div class="col-6">
            </div>
            <div class="col-6">
            </div>
        </div>
    </div>
    <div class="card-body">
        @using (Html.BeginForm())
        {
            @Html.AntiForgeryToken()
            @Html.HiddenFor(model => model.RoleId)
            <div class="form-horizontal">
                @Html.ValidationSummary(true, "", new { @class = "text-danger" })

                <div class="form-group row">
                    <label class="control-label col-md-2">@Res.Menu</label>
                    <div class="col-md-6">
                        @Model.Menu
                    </div>
                </div>

                <div class="form-group row">
                    <label class="control-label col-md-2">@Res.Grant @Res.Show</label>
                    <div class="col-md-6">
                        @Html.Raw(Model.Read)
                    </div>
                </div>

                <div class="form-group row">
                    <label class="control-label col-md-2">@Res.Grant @Res.Add</label>
                    <div class="col-md-6">
                        @Html.Raw(Model.Create)
                    </div>
                </div>

                <div class="form-group row">
                    <label class="control-label col-md-2">@Res.Grant @Res.Edit</label>
                    <div class="col-md-6">
                        @Html.Raw(Model.Update)
                    </div>
                </div>

                <div class="form-group row">
                    <label class="control-label col-md-2">@Res.Grant @Res.Delete</label>
                    <div class="col-md-6">
                        @Html.Raw(Model.Delete)
                    </div>
                </div>

                <div class="form-group row">
                    <label class="control-label col-md-2">@Res.Grant @Res.Sync</label>
                    <div class="col-md-6">
                        @Html.Raw(Model.Sync)
                    </div>
                </div>

                <div class="form-group row">
                    <label class="control-label col-md-2">@Res.Grant @Res.Upload</label>
                    <div class="col-md-6">
                        @Html.Raw(Model.Upload)
                    </div>
                </div>

                <div class="form-group row">
                    <label class="control-label col-md-2">Active</label>
                    <div class="col-md-6">
                        @Html.Raw(Model.Active)
                    </div>
                </div>
            </div>
        }
    </div>
</div>